From 2b8c04fb16d6f69657c312d2ca0836e556abca6c Mon Sep 17 00:00:00 2001
From: Rob Browning <rlb@defaultvalue.org>
Date: Fri, 12 Aug 2016 20:21:43 -0500
Subject: Look for guile-procedures.txt in pkglibdir

Look for guile-procedures.txt in %guile-build-info's pkglibdir first
since the content is not architecture independent.

Bug: https://debbugs.gnu.org/22833
Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816123
---
 module/ice-9/documentation.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/module/ice-9/documentation.scm b/module/ice-9/documentation.scm
index 5698bd653..fe8171689 100644
--- a/module/ice-9/documentation.scm
+++ b/module/ice-9/documentation.scm
@@ -158,7 +158,10 @@
   (map (lambda (vicinity)
 	 (in-vicinity vicinity "guile-procedures.txt"))
        (or (parse-path "GUILE_DOCSTRINGS_PATH")
-           (list (%library-dir) (%package-data-dir) (%site-dir)))))
+           (list
+            (string-append (cdr (assq 'pkglibdir %guile-build-info))
+                           "/" (effective-version))
+            (%library-dir) (%package-data-dir) (%site-dir)))))
 
 (define entry-delimiter "\f")
 
